header {
    margin: 30px auto;
    position: relative;
    width: calc(var(--all-width) * .9);
    padding: 0 0 0 1%;
    border-radius: 1000px;
    background-color: #48007a;
    display: flex;
    align-items: center;
}

.logo {
    width: var(--logo);
    padding: 10px 0;
}

.menu-btn,
.search-btn {
    width: var(--button);
    display: none;
}

.head-t {
    display: flex;
}

.menu {
    display: flex;
    align-items: center;
    margin: 0 4%;
    column-gap: 50px;
    font-size: 17px;
    font-weight: 700;
}

.menu a {
    color: #fff;
}

.searchBar {
    flex: 1;
    display: flex;
    padding: 0 20px 0 0;
}

#search {
    flex: 1;
    height: 30px;
    background-color: #fff2;
    padding: 0 10px;
    border-radius: 8px 0 0 8px;
    color: #fff;
}

#search::placeholder {
    color: #fff4;
}

#go {
    width: 30px;
    background-color: #fff2;
    border-radius: 0 8px 8px 0;
}


@media (max-width:799px) {

    #search,
    #go {
        height: var(--button);
    }

    header {
        width: 100%;
        border-radius: 0;
        margin: 0 auto;
        position: relative;
    }

    .head-t {
        width: 100%;
        justify-content: space-between;
        padding: 0 10px;
        border-bottom: 1px solid #00000096;
    }

    .menu-btn,
    .search-btn {
        display: block;
    }

    .menu,
    .searchBar {
        width: 100%;
        height: 100vh;
        position: absolute;
        top: 0;
        transform: translateY(-100%);
        z-index: 999;
        margin: 0 auto;
        left: 0;
        padding: 0;
        background-color: #48007a;
        transition: .5s;
    }

    .menu {
        flex-direction: column;
        padding: 10px 0;
        row-gap: 15px;

    }

    .menu li {
        margin: 0 auto;
        padding: 0 20px;
        border-bottom: 1px dashed #fff;
    }

    .searchBar {
        padding: 10px;
    }

    .open {
        top: 100%;
        transform: translateY(0);
    }
}